J_GET_PAIR(3)

FUNCTION
j_get_pair - Find a key-value pair in an associative array.

SYNOPSIS
#include <karma_j.h>

KJoinedPair j_get_pair

(KJoinedPairList list, CONST void *key, void **value)

DESCRIPTION
Find a key-value pair in an associative array.

list
    The associative array.

key The key.

value
    The value found will be written here on success.

RETURN VALUE
A KJoinedPair object if the key was found, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/